Bug 179414 - net/wmnetload: deprecate
net/wmnetload: deprecate
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Soeren Straarup
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 17:40 UTC by Rene Ladan
Modified: 2013-06-21 18:40 UTC (History)
0 users

See Also:


Attachments
file.diff (901 bytes, patch)
2013-06-07 17:40 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-06-07 17:40:00 UTC
net/wmnetload depends on x11-wm/libdockapp, which expired on 2012-10-20
Deprecate and mark for removal on 2013-08-04

While here:
- Convert Makefile header
- use PORT_OPTIONS:MDOCS instead of NOPORTDOCS

Fix: Patch attached with submission follows:
How-To-Repeat: `Tools/scripts/rmport x11-wm/libdockapp` finds this port.
Comment 1 Edwin Groothuis freebsd_committer 2013-06-07 17:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->xride

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-06-21 18:36:25 UTC
Author: rene
Date: Fri Jun 21 17:36:18 2013
New Revision: 321483
URL: http://svnweb.freebsd.org/changeset/ports/321483

Log:
  - Mark deprecated and set expiration date to 2013-08-04, depends on expired
    x11-wm/libdockapp
  - Update Makefile header
  - Use PORT_OPTIONS:MDOCS
  
  PR:		ports/179414
  Submitted by:	myself
  Approved by:	maintainer timeout (xride, 14 days)

Modified:
  head/net/wmnetload/Makefile   (contents, props changed)

Modified: head/net/wmnetload/Makefile
==============================================================================
--- head/net/wmnetload/Makefile	Fri Jun 21 17:24:13 2013	(r321482)
+++ head/net/wmnetload/Makefile	Fri Jun 21 17:36:18 2013	(r321483)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	wmnetload
-# Date created:		6 February 2003
-# Whom:		Hendrik Scholz <hendrik@scholz.net>
-#
+# Created by: Hendrik Scholz <hendrik@scholz.net>
 # $FreeBSD$
-#
 
 PORTNAME=	wmnetload
 PORTVERSION=	1.3
@@ -16,14 +12,19 @@ MASTER_SITES=	ftp://truffula.com/pub/ \
 MAINTAINER=	xride@FreeBSD.org
 COMMENT=	Network load monitor dockapp
 
+DEPRECATED=	Depends on expired x11-wm/libdockapp
+EXPIRATION_DATE=2013-08-04
+
 LIB_DEPENDS=	dockapp.2:${PORTSDIR}/x11-wm/libdockapp
 
 USE_BZIP2=	yes
 USE_XORG=	xpm x11
 GNU_CONFIGURE=	yes
 
+.include <bsd.port.options.mk>
+
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${PREFIX}/share/doc/wmnetload
 	@${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/wmnetload/
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Rene Ladan freebsd_committer 2013-06-21 18:38:20 UTC
State Changed
From-To: open->closed

Committed, timeout